org.eclipse.viatra.cep.core.metamodels.trace

## Interface TraceModel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    TraceModelImpl

      public interface TraceModel
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Model'.

  The following features are supported:

  - `Traces`
  - `Timed Zone Traces`
  See Also:
    `TracePackage.getTraceModel()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<TimedZoneTrace>` | `getTimedZoneTraces()` Returns the value of the 'Timed Zone Traces' reference list.
    `org.eclipse.emf.common.util.EList<Trace>` | `getTraces()` Returns the value of the 'Traces' containment reference list.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTraces

          org.eclipse.emf.common.util.EList<Trace> getTraces()

      Returns the value of the 'Traces' containment reference list. The list contents are of type `Trace`.

      If the meaning of the 'Traces' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Traces' containment reference list.
      See Also:
        `TracePackage.getTraceModel_Traces()`
      Generated:
      Model:
        containment="true"

    - #### getTimedZoneTraces

          org.eclipse.emf.common.util.EList<TimedZoneTrace> getTimedZoneTraces()

      Returns the value of the 'Timed Zone Traces' reference list. The list contents are of type `TimedZoneTrace`.

      If the meaning of the 'Timed Zone Traces' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Timed Zone Traces' reference list.
      See Also:
        `TracePackage.getTraceModel_TimedZoneTraces()`
      Generated:
      Model: